xine-lib: video_overlay_manager_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
video_overlay_manager_s Struct Reference

`#include <video_out.h>`

## Data Fields
void(* | init )(video_overlay_manager_t *this_gen)
void(* | dispose )(video_overlay_manager_t *this_gen)
int32_t(* | get_handle )(video_overlay_manager_t *this_gen, int object_type)
void(* | free_handle )(video_overlay_manager_t *this_gen, int32_t handle)
int32_t(* | add_event )(video_overlay_manager_t *this_gen, void *event)
void(* | flush_events )(video_overlay_manager_t *this_gen)
int(* | redraw_needed )(video_overlay_manager_t *this_gen, int64_t vpts)
void(* | multiple_overlay_blend )(video_overlay_manager_t *this_gen, int64_t vpts, vo_driver_t *output, vo_frame_t *vo_img, int enabled)

## Field Documentation

## ◆ add_event

int32_t(* video_overlay_manager_s::add_event) (video_overlay_manager_t *this_gen, void *event)

Referenced by _osd_hide(), _osd_show(), _x_post_intercept_overlay_manager(), expand_open_plugin(), expand_overlay_add_event(), hide_overlays(), osd_free_object(), post_overlay_add_event(), show_overlay(), spudec_decode_nav(), spudec_process(), and spudec_set_button().

## ◆ dispose

void(* video_overlay_manager_s::dispose) (video_overlay_manager_t *this_gen)

Referenced by _x_post_intercept_overlay_manager(), and post_overlay_dispose().

## ◆ flush_events

void(* video_overlay_manager_s::flush_events) (video_overlay_manager_t *this_gen)

Referenced by _x_demux_flush_engine(), _x_post_intercept_overlay_manager(), and post_overlay_flush_events().

## ◆ free_handle

void(* video_overlay_manager_s::free_handle) (video_overlay_manager_t *this_gen, int32_t handle)

Referenced by _x_post_intercept_overlay_manager(), close_osd(), post_overlay_free_handle(), spudec_dispose(), and spudec_reset().

## ◆ get_handle

int32_t(* video_overlay_manager_s::get_handle) (video_overlay_manager_t *this_gen, int object_type)

Referenced by _osd_show(), _x_post_intercept_overlay_manager(), post_overlay_get_handle(), show_overlay(), spudec_decode_nav(), spudec_process(), and spudec_set_button().

## ◆ init

void(* video_overlay_manager_s::init) (video_overlay_manager_t *this_gen)

Referenced by _x_post_intercept_overlay_manager(), and post_overlay_init().

## ◆ multiple_overlay_blend

void(* video_overlay_manager_s::multiple_overlay_blend) (video_overlay_manager_t *this_gen, int64_t vpts, vo_driver_t *output, vo_frame_t *vo_img, int enabled)

Referenced by _x_post_intercept_overlay_manager(), and post_overlay_multiple_overlay_blend().

## ◆ redraw_needed

int(* video_overlay_manager_s::redraw_needed) (video_overlay_manager_t *this_gen, int64_t vpts)

Referenced by _x_post_intercept_overlay_manager(), _x_query_unprocessed_osd_events(), and post_overlay_redraw_needed().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/video_out.h